Subject: Many lads who missed the August - September window may apply Now!

From: [email-masked] (Mi Mi)
Date: Mon, 14 Feb 94 16:28:43 CST

Since the cut off date for the EB-3 is now July 2, many lads who missed
the August - September window may now send their I-485 packages to the 
local INS. For those who priority date is later than July 1, just be patient
a little while.